Generation Framework

## org.eclipse.gmf.tooldef
Interface ToolContainer

All Superinterfaces:
  AbstractTool, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  Palette, ToolGroup

All Known Implementing Classes:
  PaletteImpl, ToolContainerImpl, ToolGroupImpl

    public interface ToolContainer

extends AbstractTool

A representation of the model object 'Tool Container'.

The following features are supported:

- `Tools`

See Also:
  `GMFToolPackage.getToolContainer()`
** Generated **
Model:
  abstract="true"

Method Summary
`org.eclipse.emf.common.util.EList<AbstractTool>` `getTools()` Returns the value of the 'Tools' containment reference list.

Methods inherited from interface org.eclipse.gmf.tooldef.AbstractTool
`getDescription, getLargeIcon, getSmallIcon, getTitle, setDescription, setLargeIcon, setSmallIcon, setTitle`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getTools

    org.eclipse.emf.common.util.EList<AbstractTool> getTools()

  Returns the value of the 'Tools' containment reference list. The list contents are of type `AbstractTool`.

  If the meaning of the 'Tools' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Tools' containment reference list.
  See Also:
    `GMFToolPackage.getToolContainer_Tools()`
  ** Generated **
  Model:
    type="org.eclipse.gmf.tooldef.AbstractTool" containment="true"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.